ViennaCL - The Vienna Computing Library: viennacl::linalg::ilut_tag Class Reference

ViennaCL - The Vienna Computing Library 1.7.1 Free open-source GPU-accelerated linear algebra and solver library. |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | List of all members
viennacl::linalg::ilut_tag Class Reference

A tag for incomplete LU factorization with threshold (ILUT) More...

`#include <ilut.hpp>`

## Public Member Functions
| ilut_tag (unsigned int entries_per_row=20, double drop_tolerance=1e-4, bool with_level_scheduling=false)
| The constructor. More...
void | set_drop_tolerance (double tol)
double | get_drop_tolerance () const
void | set_entries_per_row (unsigned int e)
unsigned int | get_entries_per_row () const
bool | use_level_scheduling () const
void | use_level_scheduling (bool b)

## Detailed Description

A tag for incomplete LU factorization with threshold (ILUT)

Examples:
  iterative-ublas.cpp, iterative.cpp, and spai.cpp.

Definition at line 45 of file ilut.hpp.

## Constructor & Destructor Documentation

viennacl::linalg::ilut_tag::ilut_tag | ( | unsigned int | entries_per_row = `20`,
|  | double | drop_tolerance = `1e-4`,
|  | bool | with_level_scheduling = `false`
| ) |  |
| inline

The constructor.

Parameters

  entries_per_row | Number of nonzero entries per row in L and U. Note that L and U are stored in a single matrix, thus there are 2*entries_per_row in total.
  drop_tolerance | The drop tolerance for ILUT
  with_level_scheduling | Flag for enabling level scheduling on GPUs.

Definition at line 54 of file ilut.hpp.

## Member Function Documentation

double viennacl::linalg::ilut_tag::get_drop_tolerance | ( |  | ) | const
| inline

Definition at line 66 of file ilut.hpp.

unsigned int viennacl::linalg::ilut_tag::get_entries_per_row | ( |  | ) | const
| inline

Definition at line 74 of file ilut.hpp.

void viennacl::linalg::ilut_tag::set_drop_tolerance | ( | double | tol | ) |
| inline

Definition at line 61 of file ilut.hpp.

void viennacl::linalg::ilut_tag::set_entries_per_row | ( | unsigned int | e | ) |
| inline

Definition at line 68 of file ilut.hpp.

bool viennacl::linalg::ilut_tag::use_level_scheduling | ( |  | ) | const
| inline

Definition at line 76 of file ilut.hpp.

void viennacl::linalg::ilut_tag::use_level_scheduling | ( | bool | b | ) |
| inline

Definition at line 77 of file ilut.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/ilut.hpp